DFUTOOL(1)

NAME
dfutool - Device Firmware Upgrade utility

SYNOPSIS
dfutool [ options ] < command >

DESCRIPTION
dfutool is used to verify, archive and upgrade firmware files.

OPTIONS

-h  Gives a list of possible commands.

-d <device>
    The command specifies the device to use.

COMMANDS

verify <dfu-file>
    Display information about the firmware file.

modify <dfu-file>
    Change DFU specific values in the firmware file.

upgrade <dfu-file>
    Upgrade the device with a new firmware.

archive <dfu-file>
    Archive the current firmware of the device.

AUTHOR
Written by Marcel Holtmann <marcel@holtmann.org>.